### Method

# RB RhythmDB register_entry_type

#### Declaration [src]

    void
    rhythmdb_register_entry_type (
      RhythmDB* db,
      RhythmDBEntryType* entry_type
    )

#### Description [src]

Registers a new entry type. An entry type must be registered before any entries can be created for it.

#### Parameters

`entry_type`

  Type: `RhythmDBEntryType`

  The new entry type to register.

  The data is owned by the caller of the method.